package com.mortals.xhx.module.customer.model;

import java.util.List;
import com.mortals.xhx.module.customer.model.CustomerWorkCollectEntity;
/**
* 客户收藏信息查询对象
*
* @author zxfei
* @date 2022-06-13
*/
public class CustomerWorkCollectQuery extends CustomerWorkCollectEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 客户ID */
    private Long customerIdStart;

    /** 结束 客户ID */
    private Long customerIdEnd;

    /** 增加 客户ID */
    private Long customerIdIncrement;

    /** 客户ID列表 */
    private List <Long> customerIdList;

    /** 开始 模版ID */
    private Long masterplateIdStart;

    /** 结束 模版ID */
    private Long masterplateIdEnd;

    /** 增加 模版ID */
    private Long masterplateIdIncrement;

    /** 模版ID列表 */
    private List <Long> masterplateIdList;

    /** 开始 收藏时间 */
    private String createTimeStart;

    /** 结束 收藏时间 */
    private String createTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CustomerWorkCollectQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CustomerWorkCollectQuery> andConditionList;

    public CustomerWorkCollectQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 客户ID
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 客户ID
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 客户ID
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 客户ID
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 客户ID
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 客户ID
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 客户ID
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 客户ID
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 开始 模版ID
    * @return masterplateIdStart
    */
    public Long getMasterplateIdStart(){
        return this.masterplateIdStart;
    }

    /**
    * 设置 开始 模版ID
    * @param masterplateIdStart
    */
    public void setMasterplateIdStart(Long masterplateIdStart){
        this.masterplateIdStart = masterplateIdStart;
    }

    /**
    * 获取 结束 模版ID
    * @return $masterplateIdEnd
    */
    public Long getMasterplateIdEnd(){
        return this.masterplateIdEnd;
    }

    /**
    * 设置 结束 模版ID
    * @param masterplateIdEnd
    */
    public void setMasterplateIdEnd(Long masterplateIdEnd){
        this.masterplateIdEnd = masterplateIdEnd;
    }

    /**
    * 获取 增加 模版ID
    * @return masterplateIdIncrement
    */
    public Long getMasterplateIdIncrement(){
        return this.masterplateIdIncrement;
    }

    /**
    * 设置 增加 模版ID
    * @param masterplateIdIncrement
    */
    public void setMasterplateIdIncrement(Long masterplateIdIncrement){
        this.masterplateIdIncrement = masterplateIdIncrement;
    }

    /**
    * 获取 模版ID
    * @return masterplateIdList
    */
    public List<Long> getMasterplateIdList(){
        return this.masterplateIdList;
    }

    /**
    * 设置 模版ID
    * @param masterplateIdList
    */
    public void setMasterplateIdList(List<Long> masterplateIdList){
        this.masterplateIdList = masterplateIdList;
    }

    /**
    * 获取 开始 收藏时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 收藏时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 收藏时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 收藏时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public CustomerWorkCollectQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public CustomerWorkCollectQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public CustomerWorkCollectQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public CustomerWorkCollectQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public CustomerWorkCollectQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  客户ID
    * @param customerId
    */
    public CustomerWorkCollectQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 客户ID
    * @param customerIdStart
    */
    public CustomerWorkCollectQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 客户ID
    * @param customerIdEnd
    */
    public CustomerWorkCollectQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 客户ID
    * @param customerIdIncrement
    */
    public CustomerWorkCollectQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 客户ID
    * @param customerIdList
    */
    public CustomerWorkCollectQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }

    /**
    * 设置  模版ID
    * @param masterplateId
    */
    public CustomerWorkCollectQuery masterplateId(Long masterplateId){
	    setMasterplateId(masterplateId);
		return this;
    }
	
	 /**
    * 设置 开始 模版ID
    * @param masterplateIdStart
    */
    public CustomerWorkCollectQuery masterplateIdStart(Long masterplateIdStart){
		this.masterplateIdStart = masterplateIdStart;
		return this;
    }

    /**
    * 设置 结束 模版ID
    * @param masterplateIdEnd
    */
    public CustomerWorkCollectQuery masterplateIdEnd(Long masterplateIdEnd){
		this.masterplateIdEnd = masterplateIdEnd;
		return this;
    }

    /**
    * 设置 增加 模版ID
    * @param masterplateIdIncrement
    */
    public CustomerWorkCollectQuery masterplateIdIncrement(Long masterplateIdIncrement){
		this.masterplateIdIncrement = masterplateIdIncrement;
		return this;
    }

    /**
    * 设置 模版ID
    * @param masterplateIdList
    */
    public CustomerWorkCollectQuery masterplateIdList(List<Long> masterplateIdList){
        this.masterplateIdList = masterplateIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CustomerWorkCollectQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CustomerWorkCollectQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CustomerWorkCollectQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CustomerWorkCollectQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}