package com.mortals.xhx.module.masterplate.service.impl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.masterplate.dao.MasterplateUseInfoDao;
import com.mortals.xhx.module.masterplate.model.MasterplateUseInfoEntity;
import com.mortals.xhx.module.masterplate.service.MasterplateUseInfoService;
/**
* MasterplateUseInfoService
* 模版使用信息 service实现
*
* @author zxfei
* @date 2022-06-08
*/
@Service("masterplateUseInfoService")
public class MasterplateUseInfoServiceImpl extends AbstractCRUDServiceImpl<MasterplateUseInfoDao, MasterplateUseInfoEntity, Long> implements MasterplateUseInfoService {

    @Override
    protected MasterplateUseInfoEntity findBefore(MasterplateUseInfoEntity entity, PageInfo pageInfo, Context context) throws AppException {
        return entity;
    }
}